Subject: [Sigtran] IPSP-SE Asp-Active message in ASP-ACTIVE state

From: "Ashish Soregaonkar" <[email-masked]>
Date: Wed, 25 Oct 2006 11:54:53 +0530

Hi,

RFC 3332 Section 4.3.4.1

"If an ASP Up message is received and internally the remote ASP is in the
ASP-ACTIVE state, an ASP Up Ack message is returned, as well as an Error
message ("Unexpected Message), and the remote ASP state is changed to
ASP-INACTIVE in all relevant Application Servers.

If an ASP Up message is received and internally the remote ASP is already in
the ASP-INACTIVE state, an ASP Up Ack message is returned and no further
action is taken."

For IPSP-IPSP communication, any side can be the initiator of the ASP mgmt
messages. So there is a high probablity of collision. Does the above
statement hold true in this case? The IPSP consideration section does not
say anything about this.

My second question is about the collision of ASP-Active messages? For a
Single Exchange IPSP, should reception of ASP-Active in an ASP-ACTIVE state
result in a Error message? My guess is that it should not and make a
consideration to allow collisions.

Experts please clarify.

TIA,
Ashish
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Tolga Asveren" <[email-masked]>
Date: Wed, 25 Oct 2006 08:23:19 -0400

Ashish,

I would think it makes sense to think that there are transient states for
SE-IPSP case. Maybe something like the state machine below (due to the
number of states, I draw it in two parts, [] indicates a message generated
after the event happens):

    +---------------+
    |               |----ASPUP-ACK-------+
    |    ASPUP      |    received        |
    |     Sent      |                    |
    |               |----ASPUP------+    |
    +---------------+   received    |    |
     ^   |       |   [ASPUP-ACK]    V    V
     |   |       |          +---------------+
   ASPUP |      no          |               |-----+
    sent |    answer        |     UP        | ASPUP-ACK recv.
     |   |       |          |               | ASPUP[ASPUP-ACK]
     |  ERR      |          |               |<----+  recv.
     | received  |          +---------------+
     |   |       |            ^     |     |
     |   |       |            |     |     |ASPDN sent
     |   V       V         ASPUP    |     V
    +---------------+      recv.    |   +---------------+
    |               |   [ASPUP-ACK] |   |               |
    |    DOWN       |---------+     |   |    ASPDN      |
    |               |<--------------+   |    Sent       |
    |               |<------no reply----|               |
    +---------------+                   +---------------+
      |       ^  ^                         |
      |       |  |                         |
      |       |  +-------------------------+
      +-------+          ASPDN-ACK received
      ASPUP recv.
      [ERR]

                                               +-------------+
            +--------no answer---------------->|             |
            |                                  |    DOWN     |
      +---------------+                        |             |<-+
      |               |----ASPAC-ACK-------+   |             |  |
      |    ASPAC      |    received        |   +-------------+  |
      |     Sent      |                    |                    |
      |               |----ASPAC------+    |                    |
      +---------------+   received    |    |                    |
       ^   |           [ASPAC-ACK]    V    V                    |
       |   |                  +---------------+                 |
     ASPAC |                  |               |-----+           |
      sent |                  |   ACTIVE      | ASPAC-ACK recv. |
       |   |                  |               | ASPAC[ASPAC-ACK]|
       |  ERR                 |               |<----+  recv.    |
       | received             +---------------+                 |
       |   |                    ^     |     |                   |
       |   |                    |     |     |ASPIA sent         |
       |   V                 ASPAC    |     V                  no
      +---------------+      recv.    |   +---------------+  answer
      |               |   [ASPAC-ACK] |   |               |     |
      |      UP       |---------+     |   |    ASPIA      |-----+
      |               |<--------------+   |    Sent       |
      |               |                   |               |
      +---------------+                   +---------------+
        |       ^  ^                         |
        |       |  |                         |
        |       |  +-------------------------+
        +-------+          ASPIA-ACK received
        ASPAC recv.
        [ERR]

    Thanks,
     Tolga

  -----Original Message-----
  From: Ashish Soregaonkar [mailto:[email-masked]]
  Sent: Wednesday, October 25, 2006 2:25 AM
  To: [email-masked]
  Subject: [Sigtran] IPSP-SE Asp-Active message in ASP-ACTIVE state

  Hi,

  RFC 3332 Section 4.3.4.1

  If an ASP Up message is received and internally the remote ASP is already
in the ASP-INACTIVE state, an ASP Up Ack message is returned and no further
action is taken."

  Experts please clarify.

  TIA,
  Ashish